<?php

/*services*/
function ctserviceShortCode($pageId = null, $isCustomizer = false, $i = null) {
    ob_start();
    $args = array('post_type' => 'our-services');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('ct_service_npp_count',3);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12';
        break;
        case 2:
        $colCls = 'col-md-6 col-sm-6';
        break;
        case 3:
        case 5:
        case 6: 
        case 9: 
        $colCls = 'col-md-4 col-sm-6';
        break;
        case 4: 
        case 7:
        case 8:  
        $colCls = 'col-md-3 col-sm-6';
        break;
        default: 
        $colCls = 'col-md-3 col-sm-6';
        break;
    }
    $icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell');  
    // }
    $text = '';
    $query = new WP_Query($args);
    if ($query->have_posts()):
        $postN = 0;

        while ($query->have_posts()) : $query->the_post();
            $lz_fitness_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-service-thumb');
            $post = get_post();
            ?>
            <div class="row">
                <div class="<?php echo $colCls; ?> serbox wow zoomIn">
                    <div class="serviceBox">
                        <div class="serviceBoximg">
                           <?php
                           if (has_post_thumbnail()) {
                            $image_url = $lz_fitness_image[0];
                        } else {
                            $image_url = get_template_directory_uri() . '/images/project.jpg';
                        }
                        ?>                                                       
                        <img class="secondry-bg img-responsive" src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />
                    </div>
                        <div class="box-content">
                            <ul class="icon">
                                <li><a href="<?php the_permalink(); ?>" class="fa fa-link"></a></li>
                            </ul>
                        </div>
                    </div>

                     <div class="innerserviceBox">
                          <?php
                           if (has_post_thumbnail()) {
                            $image_url = $lz_fitness_image[0];
                        } else {
                            $image_url = get_template_directory_uri() . '/images/project.jpg';
                        }
                        ?>                                                       
                        <img class="secondry-bg img-responsive" src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" />
                        <div class="box-content">
                         <!--   <h3 class="title"><?php //the_title(); ?></h3> -->
                            <ul class="icon">
                                <li><a href="<?php the_permalink(); ?>" class="fa fa-link"></a></li>
                            </ul>
                        </div>

                    </div>


                    <h3 class="title"><?php the_title(); ?></h3>
                    <div class="serborder"></div>

<!-- <------------------------ innerpage ---------------------------------> 
                   


<!-- <------------------------end innerpage ---------------------------------> 
              
           <script>
            jQuery.noConflict();
            $(function(){
                function serboxHeight(){
                    var ht = 0;
                    $('#innerpage-box .serbox').each(function(i){
                        var tHt = $(this).height();
                        if(ht<tHt){
                            ht=tHt;
                        }
                    });
                    $('#innerpage-box .serbox').height(ht+'px');
                }
                serboxHeight();
            });
            $( window ).resize(function(){
                serboxHeight();
            });
        </script>
        <!-- for inner page -->
    </div>
    <?php
endwhile;
$text = ob_get_contents();
ob_clean();
endif;
wp_reset_postdata();
return $text;
}



/**
 * Liting the popularapp details 
 * @param : int $pageId default is null
 * @param : boolean $isCustomizer default is false, if set to true will get the data stored with customizer
 * @param : int $i default is null, it will used as a iteration for data with customizer, this will be used only if the $isCustomizer is set to true.
 * @return: Text $text
 */
function popularappShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-popularapp');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('popularapp_npp_count', 3);
    $cols++;
    switch($cols){
        case 1:
            $colCls = 'col-md-12 col-sm-12 col-xs-12';
            break;
        case 2:
            $colCls = 'col-md-6 col-sm-6 col-xs-12';
            break;
        case 3:
        case 5:
        case 6:
            $colCls = 'col-md-4 col-sm-6 col-xs-12';
            break;
        default:
            $colCls = 'col-md-3 col-sm-6 col-xs-12';
            break;
    }
                
    // }
    $text = '';
    $query = new WP_Query($args);
    if ($query->have_posts()):
        $postN = 0;

        while ($query->have_posts()) : $query->the_post();
            $lz_fitness_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-team-thumb');

            $post = get_post();
         
            ?>
            <!--  <div class="row"> -->
            <div class="item col-md-4 col-sm-6 padding0">
                <div class="ht-popularapp-memberbox text-center wow pulse" data-wow-duration="4s">
                    <div class="ht-popularapp-member">
                
                    <div class="ht-popularapp-member-image">
                        <?php
                        if (has_post_thumbnail()) {
                            $image_url = $lz_fitness_image[0];
                        } else {
                            $image_url = get_template_directory_uri() . '/images/team-thumb.png';
                        }
                        ?>                  
                        <a href="<?php the_permalink(); ?>">  <img class="secondry-bg" src="<?php echo esc_url($image_url); ?>" alt="<?php the_title(); ?>" /></a>
                        
                    </div>
                        <div class="ht-title-wrap">
                             <a href="<?php the_permalink(); ?>"><h3><?php the_title(); ?></h3></a>
                        </div> 
                    </div>


                        </div> 



                        <script>
                            jQuery.noConflict();
                            $(function(){
                                function htpopularappmemberboxHeight(){
                                    var ht = 0;
                                    $('#innerpage-box .ht-popularapp-memberbox').each(function(i){
                                        var tHt = $(this).height();
                                        if(ht<tHt){
                                            ht=tHt;
                                        }
                                    });
                                    $('#innerpage-box .ht-popularapp-memberbox').height(ht+'px');
                                }
                                htpopularappmemberboxHeight();
                            });
                            $( window ).resize(function(){
                                htpopularappmemberboxHeight();
                            });
                        </script>               
                <div class="clearfix"></div>          
            </div>

        <?php
    endwhile;
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}
    add_shortcode('POPULARAPP', 'popularappShortCode');

    


    