<?php
/**
 *
 * @package Luzuk Premium
 */

if(get_theme_mod('premium_aboutus_section_disable') != 'on' ){?>
	<?php 
			if( get_theme_mod('aboutsection_toppadding',true) ) {
                $aboutsection_toppadding = 'padding-top:'.esc_attr(get_theme_mod('aboutsection_toppadding')).';';
            }
            if( get_theme_mod('aboutsection_bottompadding',true) ) {
                $aboutsection_bottompadding = 'padding-bottom:'.esc_attr(get_theme_mod('aboutsection_bottompadding')).';';
            }
            if( get_theme_mod('aboutsection_leftpadding',true) ) {
                $aboutsection_leftpadding = 'padding-left:'.esc_attr(get_theme_mod('aboutsection_leftpadding')).';';
            }
            if( get_theme_mod('aboutsection_rightpadding',true) ) {
                $aboutsection_rightpadding = 'padding-right:'.esc_attr(get_theme_mod('aboutsection_rightpadding')).';';
            }
	?>

	<section id="ht-about-us-section" class="ht-section"  style="<?php echo esc_attr($aboutsection_toppadding); ?>" "<?php echo esc_attr($aboutsection_bottompadding); ?>" "<?php echo esc_attr($aboutsection_leftpadding); ?>" "<?php echo esc_attr($aboutsection_rightpadding); ?>" >
			<div class="container">
				<div class=" wow fadeInUp" data-wow-duration="1s">
					<?php
				// echo "post id: ". 
					$aboutus_page_id = get_theme_mod('aboutus_page');
			    // echo '<br>title '.
					$aboutus_title = get_theme_mod('aboutus_title', 'About Us');

					$aboutus_boxtext = get_theme_mod('aboutus_boxtext', 'Phasellus at dapibus magna. Ut imperdiet neque a sem pellentesque venenatis. Sed efficitur arcu ac sapien pharetra, id feugiat dolor luctus. Aenean placerat mi euta dictum. Cras eu nulla vel mauris tristique vulp.');
		        // echo '<br> text '.
					$aboutus_boxsubtext = get_theme_mod('aboutus_boxsubtext', '<ol><li>Nullam condimentum ut lacus nec elementum</li><li>Nullam condimentum ut lacus nec elementum</li><li>Nullam condimentum ut lacus nec elementum</li><li>Nullam condimentum ut lacus nec elementum</li></ol> ');
					?>
					
					<div class="row aboutcontent">
						<div class="col-md-6 col-sm-6 about-box padding0 wow fadeInLeft">
							<?php if($aboutus_title){ ?>
								<div class="ht-section-title-tagline ">
									<h2 class="ht-section-title lz-about-heading">
										<?php
										if(!empty($aboutus_title))	{
											echo ($aboutus_title);
										} ?>
									</h2> 
										<span class="section__border"></span>
									<div class="clearfix"></div>
								</div>
							<?php }?>
						

								<div class="lz-about-subheading">
									<?php if($aboutus_boxtext){ ?>
										<?php echo $aboutus_boxtext;?>
											<?php }?>
									</div>
									<div class="clearfix"></div>
								<div class="ht-content lz-about-text">
									<?php
									if($aboutus_boxsubtext){
										echo $aboutus_boxsubtext;
									}else{
										$args = array(
											'page_id' => absint($aboutus_page_id)
										);
										$query = new WP_Query($args);
										$query->the_post();
										echo lz_fitness_excerpt( get_the_content(), 250);  
									}?>
								</div>
							</div>

						<div class="col-md-6 col-sm-6 aboutimgborder wow fadeInRight">
							<div class="aboutbox-img">
								<div class="aboutinner-img">
								<?php 
								$about_image = get_theme_mod('about_image');
								if(!empty($about_image)){
									echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($about_image).'" class="img-responsive secondry-bg-img" />';
								}else{
									echo '<img alt="About us" src="'.get_template_directory_uri().'/images/about.jpg" class="img-responsive secondry-bg-img" />';
								}

								?>
								<div class="spinner"></div>
							</div>
						</div>
							<div class="clearfix"></div>
						</div>
						
								<div class="clearfix"></div>
					</div>
				</div>
			</div>

	</section>
<?php } 