<?php
/**
 * @package Luzuk Premium
 */
if(get_theme_mod('premium_featured_product_section_disable') != 'on' ){?>

	<?php 
			if( get_theme_mod('featureprosection_toppadding',true) ) {
                $featureprosection_toppadding = 'padding-top:'.esc_attr(get_theme_mod('featureprosection_toppadding')).';';
            }
            if( get_theme_mod('featureprosection_bottompadding',true) ) {
                $featureprosection_bottompadding = 'padding-bottom:'.esc_attr(get_theme_mod('featureprosection_bottompadding')).';';
            }
            if( get_theme_mod('featureprosection_leftpadding',true) ) {
                $featureprosection_leftpadding = 'padding-left:'.esc_attr(get_theme_mod('featureprosection_leftpadding')).';';
            }
            if( get_theme_mod('featureprosection_rightpadding',true) ) {
                $featureprosection_rightpadding = 'padding-right:'.esc_attr(get_theme_mod('featureprosection_rightpadding')).';';
            }
     ?>
	<section id="featured-product-section" class="ht-section" style="<?php echo esc_attr($featureprosection_toppadding); ?>" "<?php echo esc_attr($featureprosection_bottompadding); ?>" "<?php echo esc_attr($featureprosection_leftpadding); ?>" "<?php echo esc_attr($featureprosection_rightpadding); ?>">
					<?php
					$showStatic = true;
					for( $i = 1; $i < 4; $i++ ){
						$featured_product_page_id = get_theme_mod('featured_product_page'.$i); 
						if(!empty($featured_product_page_id)){
							$showStatic = false;
							break;
						}
					}
					$featured_product_title = get_theme_mod('featured_product_title', 'Our Popular Apps');	
			
					?>
						<?php if($featured_product_title){ ?>
						<div class="ht-section-title-tagline">
							<h2 class="ht-section-title lz-featured-product-heading">
								<?php
								if(!empty($featured_product_title))	{
									echo ($featured_product_title);
								} ?>
							</h2>
								<div class="titleborder"></div>
							<div class="border-separator-outer">
						        <div class="outerborder-separator"></div>
						    </div>
							<div class="clearfix"></div>
						
						</div>
						<div class="clearfix"></div>	
							<?php }?>				
						<!-- Wrapper for slides -->
					<div class="highlightbox"></div>
						<div class="container">
						<div class="slider" id="slider">												
							    <button class="slide-prev ctrl-btn pro-prev fa fa-long-arrow-left"></button>
								<button class="ctrl-btn pro-next fa fa-long-arrow-right slide-next"></button>
															
							<div class="slides" id="slide">
					    <!-- <div class="row-fluid">
					    	<div class="recent-box">-->
					    		<?php
					    		if(function_exists('woocommerce_template_loop_add_to_cart') && function_exists('WC')){
					    			$args = array( 'post_type' => 'product', /*'stock' => 1,*/ 'posts_per_page' => 9, 'orderby' =>'date','order' => 'DESC' );
					    			$meta_query   = WC()->query->get_meta_query();
					    			$tax_query   = WC()->query->get_tax_query();
					    			$tax_query[] = array(
					    				'taxonomy' => 'product_visibility',
					    				'field'    => 'name',
					    				'terms'    => 'featured',
					    				'operator' => 'IN',
					    			);
					    			$args = array(
					    				'post_type'   =>  'product',
					    				'stock'       =>  1,
					    				'posts_per_page' => -1, 
					    				'orderby'     =>  'date',
					    				'order'       =>  'DESC',
					    				'meta_query'  =>  $meta_query,
					    				'tax_query'   => $tax_query,
					    			);
					    			$loop = new WP_Query( $args );
					    			if($loop->post_count > 0){
					    				while ( $loop->have_posts() ) : $loop->the_post(); global $product; ?>
					    				<div class="col-md-4 slide-item featured-product wow pulse" data-wow-duration="4s"> 
					    					<div id="recent-porduct">
					    						<div class="pro-img text-center">
					    							<a id="id-<?php the_id(); ?>" href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
					    								<?php if (has_post_thumbnail( $loop->post->ID )) 
					    								echo get_the_post_thumbnail($loop->post->ID, 'shop_catalog');
					    								else
					    									echo '<img src="'.get_template_directory_uri().'/images/default.png" alt="Placeholder" width="100%" height="200px" />'; ?>	
					    							</a>
					    						</div>
					    						<div class="total-product-title-wrap">
					    							<a id="id-<?php the_id(); ?>" href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">	
														<h6><?php the_title(); 
														// if(strlen($loop->post->post_title) > 9){
														// 	$title = substr($loop->post->post_title, 0, 10).'...';
														// }else{
														// 	$title = $loop->post->post_title;
														// }
														// echo $title;
														?></h6>
													</a>
													<span class="price"><?php echo $product->get_price_html(); ?></span>
<!-- 													<div class="clearfix"></div>
													<div class="add-to-cart">
														<?php
														//woocommerce_template_loop_add_to_cart();
														?>
													</div> -->
												</div>
											</div>
										</div><!-- /span3 -->
										<?php
									endwhile; 
								}else{ ?>
								<div class="alert alert-warning text-center">
									<strong>Sorry, no featured product to show.</strong>
								</div>
								<?php
							}
							?>
							<!-- </div>-->
							<!-- </div>-->
							<?php
							wp_reset_query(); 
						}else{ ?>
						<div class="alert alert-warning text-center">
							Kindly Install or Activate the WooCommerce plugin.
						</div>
						<?php
					}?>
				</div>
			</div><!-- /row-fluid -->
		</div>
			</div>
			<div class="clearfix"></div>
</section>
<?php }