<?php
/**
 *
 * @package Luzuk Premium
 */
if(get_theme_mod('popularapp_section_disable') != 'on' ){ ?>
	<?php 
			if( get_theme_mod('popularappsection_toppadding',true) ) {
                $popularappsection_toppadding = 'padding-top:'.esc_attr(get_theme_mod('popularappsection_toppadding')).';';
            }
            if( get_theme_mod('popularappsection_bottompadding',true) ) {
                $popularappsection_bottompadding = 'padding-bottom:'.esc_attr(get_theme_mod('popularappsection_bottompadding')).';';
            }
            if( get_theme_mod('popularappsection_leftpadding',true) ) {
                $popularappsection_leftpadding = 'padding-left:'.esc_attr(get_theme_mod('popularappsection_leftpadding')).';';
            }
            if( get_theme_mod('popularappsection_rightpadding',true) ) {
                $popularappsection_rightpadding = 'padding-right:'.esc_attr(get_theme_mod('popularappsection_rightpadding')).';';
            }
	?>
<section id="ct-popularapp-box" style="<?php echo esc_attr($popularappsection_toppadding); ?>" "<?php echo esc_attr($popularappsection_bottompadding); ?>" "<?php echo esc_attr($popularappsection_leftpadding); ?>" "<?php echo esc_attr($popularappsection_rightpadding); ?>">
	<div class="container">
		<?php			
			$popularapp_title = get_theme_mod('popularapp_title', 'Our Popular Apps');
		
		?>

			<?php if($popularapp_title){ ?>
						<div class="ht-section-title-tagline">
							<h2 class="ht-section-title ct-popularapp-heading">
								<?php 
								if(!empty($popularapp_title))	{
									echo ($popularapp_title);
								} ?>
							</h2>
							<span class="section__border"></span>
							<div class="clearfix"></div>
						</div>
					<?php }?>
				</div>


	<div class="highlightbox"></div>
		<div class="container">
		
	<div class="popularappbox">	
  <div class="owl-carousel owl-theme"> 
	
			<?php 
			$showStatic = true;
			$cols = get_theme_mod('popularapp_npp_count', 3);
			$cols++;
			switch($cols){
				case 1:
					$colCls = 'col-md-12 col-sm-12 col-xs-12';
					break;
				case 2:
					$colCls = 'col-md-6 col-sm-6 col-xs-12';
					break;
				case 3:
				case 5:
				case 6:
					$colCls = 'col-md-4 col-sm-6 col-xs-12';
					break;
				default:
					$colCls = 'col-md-3 col-sm-6 col-xs-12';
					break;
			}
			for( $i = 1; $i <= $cols; $i++ ){
				$popularapp_page_id = get_theme_mod('popularapp_page'.$i); 
				$popularapp_page_icon = get_theme_mod('popularapp_page_icon'.$i);
				if($popularapp_page_id){
					$showStatic = false;
					echo popularappShortCode($popularapp_page_id, $isCustomizer=true, $i);
				}
			}
			// adding the static content
			if($showStatic === true){
				for( $i = 1; $i <= $cols; $i++ ){ ?>
				<div class="item" >					
					<div class="ht-popularapp-memberbox text-center wow pulse" data-wow-duration="4s">
						<div class="ht-popularapp-member">
						<div class="ht-popularapp-member-image">
							<a href="#"><img class="secondry-bg" src="<?php echo esc_url(get_template_directory_uri().'/images/popularapps.jpg');?>" alt="popularapp" /></a>

						</div>
						<div class="ht-title-wrap">
								 <a href="#"><h3>Project Name </h3></a>
						
						</div>
						<div class="clearfix"></div>
					</div>
					</div>					
				</div>
				<?php 
				}
			} ?>
		</div>
		<div class="clearfix"></div>
		</div>

	</div>


	<div class="clearfix"></div>
</section>
<script type="text/javascript">
            $(document).ready(function() {
              $('#ct-popularapp-box .owl-carousel').owlCarousel({
                loop: true,
                margin: 20,
                responsiveClass: true,
                responsive: {
                  0: {
                    items: 1,
                    nav: true
                  },
                  600: {
                    items:2,
                    nav: false
                  },
                  1000: {
                    items:3,
                    nav: true,
                    loop: false,
                    margin: 60
                  }
                }
              })
            })
          </script>
          
<?php }
