<?php
/**
 * Createing an about us pannel for customizer
 */

// START ABOUT SECTION 
    $wp_customize->add_section(
        'premium_aboutus_section',
        array(
            'title' => __( 'About Us Section', 'Luzuk Premium' ),
            'panel' => 'lz_fitness_premium_home_panel'
        )
    );
    // ENABLE/DISABLE FEATURED SECTION
    $wp_customize->add_setting(
        'premium_aboutus_section_disable',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Switch_Control(
            $wp_customize,
            'premium_aboutus_section_disable',
            array(
                'settings'      => 'premium_aboutus_section_disable',
                'section'       => 'premium_aboutus_section',
                'label'         => __( 'Disable Section', 'Luzuk Premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'Luzuk Premium' ),
                    'off' => __( 'No', 'Luzuk Premium' )
                ),
            )
        )
    );

    backgroundManager($wp_customize, 'aboutus', 'premium_aboutus_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');


lzCustomLable($wp_customize, 'aboutussection_padding', 'premium_aboutus_section', ' Section Padding Setting:');

$wp_customize->add_setting(
    'aboutsection_toppadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'aboutsection_toppadding',
    array(
        'settings'      => 'aboutsection_toppadding',
        'section'       => 'premium_aboutus_section',
        'type'          => 'text',
        'label'         => __( 'Section Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'aboutsection_bottompadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '7em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'aboutsection_bottompadding',
    array(
        'settings'      => 'aboutsection_bottompadding',
        'section'       => 'premium_aboutus_section',
        'type'          => 'text',
        'label'         => __( 'Section Bottom Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'aboutsection_leftpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'aboutsection_leftpadding',
    array(
        'settings'      => 'aboutsection_leftpadding',
        'section'       => 'premium_aboutus_section',
        'type'          => 'text',
        'label'         => __( 'Section Left Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'aboutsection_rightpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'aboutsection_rightpadding',
    array(
        'settings'      => 'aboutsection_rightpadding',
        'section'       => 'premium_aboutus_section',
        'type'          => 'text',
        'label'         => __( 'Section Right Padding', 'luzuk-premium' )
    )
);



    $wp_customize->add_setting(
        'lz_fitness_aboutus_title_heading',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_aboutus_title_heading',
            array(
                'settings'      => 'lz_fitness_aboutus_title_heading',
                'section'       => 'premium_aboutus_section',
                'label'         => __( 'About Us Title & Text', 'Luzuk Premium' ),
            )
        )
    );    




     $wp_customize->add_setting(
        'aboutus_title',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'About Us', 'Luzuk Premium' )
        )
    );
    $wp_customize->add_control(
        'aboutus_title',
        array(
            'settings'      => 'aboutus_title',
            'section'       => 'premium_aboutus_section',
            'type'          => 'text',
            'label'         => __( 'Title for section', 'Luzuk Premium' )
        )
    );

     // Heading color
    addColorPalatOption($wp_customize, 'aboutus_page_HeadingColor', 'premium_aboutus_section', 'Heading color', '#0e2052');

addColorPalatOption($wp_customize, 'aboutus_page_HeadinginnerborderColor', 'premium_aboutus_section', 'Select Section Title Border color', '#ffe5a5');

addColorPalatOption($wp_customize, 'aboutus_page_HeadingouterborderColor', 'premium_aboutus_section', 'Select Section Title Border Bar color', '#fec22c');


        $wp_customize->add_setting(
        'aboutus_boxtext',
        array(
            'sanitize_callback'=>'lz_fitness_sanitize_text',
            'default'=> __('Phasellus at dapibus magna. Ut imperdiet neque a sem pellentesque venenatis. Sed efficitur arcu ac sapien pharetra, id feugiat dolor luctus. Aenean placerat mi euta dictum. Cras eu nulla vel mauris tristique vulp.', 'Luzuk Premium')
        )
    );
    $wp_customize->add_control(
        'aboutus_boxtext',
        array(
            'settings' =>'aboutus_boxtext',
            'section' => 'premium_aboutus_section',
            'type'=> 'textarea',
            'label'=> __('Content for the section', 'Luzuk Premium')
        )
    );

     // Sub title  color
    addColorPalatOption($wp_customize, 'aboutus_page_subtitleColor', 'premium_aboutus_section', 'Content color', '#4d516c');

    $wp_customize->add_setting(
        'aboutus_boxsubtext',
        array(
            'sanitize_callback'=>'lz_fitness_sanitize_text',
            'default'=> __('<ol><li>Nullam condimentum ut lacus nec elementum</li><li>Nullam condimentum ut lacus nec elementum</li><li>Nullam condimentum ut lacus nec elementum</li><li>Nullam condimentum ut lacus nec elementum</li></ol>', 'Luzuk Premium')
        )
    );
    $wp_customize->add_control(
        'aboutus_boxsubtext',
        array(
            'settings' =>'aboutus_boxsubtext',
            'section' => 'premium_aboutus_section',
            'type'=> 'textarea',
            'label'=> __('Text & List for the section', 'Luzuk Premium')
        )
    );


     // Text  color
    addColorPalatOption($wp_customize, 'aboutus_page_textColor', 'premium_aboutus_section', 'Text & List Text color', '#0d1f57');


     // Text  color
    addColorPalatOption($wp_customize, 'aboutus_page_listnumColor', 'premium_aboutus_section', 'List Number color', '#fff');


     // Text  color
    addColorPalatOption($wp_customize, 'aboutus_page_listnumbgColor', 'premium_aboutus_section', 'List Number Background color', '#ffc22c');


    $wp_customize->add_setting(
        'about_image_heading',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'about_image_heading',
            array(
                'settings'      => 'about_image_heading',
                'section'       => 'premium_aboutus_section',
                'label'         => __( 'Right Image', 'luzuk-premium' ),
            )
        )
    );

      $wp_customize->add_setting(
        'about_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'about_image',
            array(
                'section' => 'premium_aboutus_section',
                'settings' => 'about_image',
                'description' => __('Recommended Image Size: 500X600px', 'luzuk-premium')
            )
        )
    );


     //img border  color
    addColorPalatOption($wp_customize, 'aboutus_page_imgborderColor', 'premium_aboutus_section', 'Image border color', '#ffc22c');
    
         //img highlight border  color
    addColorPalatOption($wp_customize, 'aboutus_page_imghighlightborderColor', 'premium_aboutus_section', 'Image highlight border color', '#0e2052');

