<?php
/**
 * Createing an causes pannel for customizer
 *
 */

// START causes SECTION 
    $wp_customize->add_section(
        'premium_causes_section',
        array(
            'title' => __( 'Causes Section', 'luzuk-premium' ),
            'panel' => 'lz_fitness_premium_home_panel'
        )
    );
    // ENABLE/DISABLE FEATURED SECTION
    $wp_customize->add_setting(
        'premium_causes_section_disable',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Switch_Control(
            $wp_customize,
            'premium_causes_section_disable',
            array(
                'settings'      => 'premium_causes_section_disable',
                'section'       => 'premium_causes_section',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    );
backgroundManager($wp_customize, 'causes', 'premium_causes_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');



lzCustomLable($wp_customize, 'causessection_padding', 'premium_causes_section', ' Section Padding Setting:');

$wp_customize->add_setting(
    'causessection_toppadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'causessection_toppadding',
    array(
        'settings'      => 'causessection_toppadding',
        'section'       => 'premium_causes_section',
        'type'          => 'text',
        'label'         => __( 'Section Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'causessection_bottompadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'causessection_bottompadding',
    array(
        'settings'      => 'causessection_bottompadding',
        'section'       => 'premium_causes_section',
        'type'          => 'text',
        'label'         => __( 'Section Bottom Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'causessection_leftpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'causessection_leftpadding',
    array(
        'settings'      => 'causessection_leftpadding',
        'section'       => 'premium_causes_section',
        'type'          => 'text',
        'label'         => __( 'Section Left Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'causessection_rightpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'causessection_rightpadding',
    array(
        'settings'      => 'causessection_rightpadding',
        'section'       => 'premium_causes_section',
        'type'          => 'text',
        'label'         => __( 'Section Right Padding', 'luzuk-premium' )
    )
);




    $wp_customize->add_setting(
        'causes_title_heading',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'causes_title_heading',
            array(
                'settings'      => 'causes_title_heading',
                'section'       => 'premium_causes_section',
                'label'         => __( 'Section Subtitle and Title', 'Luzuk Premium' ),
            )
        )
    );    

      $wp_customize->add_setting(
        'causes_boxtext',
        array(
            'sanitize_callback'=>'lz_fitness_sanitize_text',
            'default'=> __('Featured', 'Luzuk Premium')
        )
    );
    $wp_customize->add_control(
        'causes_boxtext',
        array(
            'settings' =>'causes_boxtext',
            'section' => 'premium_causes_section',
            'type'=> 'text',
            'label'=> __('Sub Heading', 'Luzuk Premium')
        )
    );


     // Sub title  color
    addColorPalatOption($wp_customize, 'causes_subtitleColor', 'premium_causes_section', 'Sub title color', '#124d31');


     $wp_customize->add_setting(
        'causes_title',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( 'Causes', 'Luzuk Premium' )
        )
    );
    $wp_customize->add_control(
        'causes_title',
        array(
            'settings'      => 'causes_title',
            'section'       => 'premium_causes_section',
            'type'          => 'text',
            'label'         => __( 'Heading', 'Luzuk Premium' )
        )
    );

     // Heading color
    addColorPalatOption($wp_customize, 'causes_HeadingColor', 'premium_causes_section', 'Heading color', '#3ab57e');
 
  



$wp_customize->add_setting('causes_npp_heading',array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'causes_npp_heading',
        array(
            'settings'      => 'causes_npp_heading',
            'section'       => 'premium_causes_section',
            'label'         => __( 'Number Of causes Plans', 'luzuk-premium' ),
        )
    )
);    
$wp_customize->add_setting('causes_npp_count',array('sanitize_callback' => 'lz_fitness_sanitize_text','default' => 5));
$wp_customize->add_control(
    'causes_npp_count',
    array(
        'settings'      => 'causes_npp_count',
        'section'       => 'premium_causes_section',
        'type'          => 'select',
        'label'         => __( 'Number of plan to show', 'luzuk-premium' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9)
    )
);

//FEATURED PAGES
for( $i = 1; $i <= 9; $i++ ){
    $wp_customize->add_setting(
        'causes_header'.$i,
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'causes_header'.$i,
            array(
                'settings'      => 'causes_header'.$i,
                'section'       => 'premium_causes_section',
                'label'         => __( 'Causes Page ', 'luzuk-premium' ).$i
            )
        )
    );

     $wp_customize->add_setting(
        'causes_page_icon'.$i,
        array(
            'default'           => 'fa fa-user',
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new lz_fitness_Fontawesome_Icon_Chooser(
            $wp_customize,
            'causes_page_icon'.$i,
            array(
                'settings'      => 'causes_page_icon'.$i,
                'section'       => 'premium_causes_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
            )
        )
    );

lzAddElement($wp_customize, 'causes_page_title_'.$i, 'premium_causes_section', $type = 'text', $label="Title", $callback ='lz_fitness_sanitize_text', $default='Support');

lzAddElement($wp_customize, 'causes_page_description'.$i, 'premium_causes_section', $type = 'textarea', $label="Title", $callback ='lz_fitness_sanitize_text', $default='Nullam condimentum ut lacus nec elementum. Morbi at sem efficitur');
    
}



     // icon color
    addColorPalatOption($wp_customize, 'causes_iconColor', 'premium_causes_section', 'Icon color', '#d4eee3');

    // icon hover color
    addColorPalatOption($wp_customize, 'causes_iconhoverColor', 'premium_causes_section', 'Icon hover color', '#fff');

    // icon bg color
    addColorPalatOption($wp_customize, 'causes_iconbghoverColor', 'premium_causes_section', 'Icon hover background color', '#3ab37e');

 // title color
    addColorPalatOption($wp_customize, 'causes_titleColor', 'premium_causes_section', 'Title color', '#144c33');

 // description color
    addColorPalatOption($wp_customize, 'causes_descriptionColor', 'premium_causes_section', 'Description color', '#6c867d');

 // Box bg color
    addColorPalatOption($wp_customize, 'causes_boxbgColor', 'premium_causes_section', 'Box background color', '#fff');

// End causes section 